Project

General

Profile

Bug #17712

Passenger can't find passenger_native_support.so

Added by Jason Nance almost 4 years ago. Updated 7 months ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Category:
RPMs
Target version:
-
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

When starting up TFM/Katello /var/log/httpd/error_log says:

App 13775 stdout:
App 13775 stderr:  --> passenger_native_support was compiled for Ruby API version 2.0.0, but you're currently running a Ruby interpreter with API version 2.2.0.
App 13775 stderr:      Refusing to load existing passenger_native_support.
App 13775 stderr:  --> No passenger_native_support.so found for current Ruby interpreter.
App 13775 stderr:      This library provides various optimized routines that make
App 13775 stderr:      Phusion Passenger faster. Please run 'sudo yum install passenger-devel-4.0.53'
App 13775 stderr:      so that Phusion Passenger can compile one on the next run.
App 13775 stderr:
App 13775 stderr:  --> Continuing without passenger_native_support.so.

The library is present in a couple of places on the OS (EL 7.3):

-rwxr-xr-x. root root system_u:object_r:lib_t:s0       /usr/lib64/passenger/passenger_native_support.so
-rwxr-xr-x. root root system_u:object_r:lib_t:s0       /opt/theforeman/tfm/root/usr/lib64/gems/ruby/passenger-4.0.18/native/passenger_native_support.so

Passenger packages are:

mod_passenger-4.0.53-4.el7.x86_64
passenger-4.0.53-4.el7.x86_64
tfm-rubygem-passenger-4.0.18-9.11.el7.x86_64
tfm-rubygem-passenger-native-4.0.18-9.11.el7.x86_64
tfm-rubygem-passenger-native-libs-4.0.18-9.11.el7.x86_64

(there is no passenger-devel in the configured repositories)


Related issues

Related to Installer - Tracker #28999: Deploy Foreman with Puma as the application server by defaultClosed

Has duplicate Packaging - Bug #24618: Passenger native and Ruby versions do not match for 1.19 RC2Duplicate

History

#1 Updated by Dominic Cleal almost 4 years ago

  • Project changed from Foreman to Packaging
  • Category set to RPMs

#2 Updated by Ewoud Kohl van Wijngaarden about 2 years ago

  • Has duplicate Bug #24618: Passenger native and Ruby versions do not match for 1.19 RC2 added

#3 Updated by Eric Helms 10 months ago

  • Related to Tracker #28999: Deploy Foreman with Puma as the application server by default added

#4 Updated by Zach Huntington-Meath 7 months ago

  • Triaged changed from No to Yes
  • Status changed from New to Rejected

In foreman 2.1 we are moving to puma by default which removes the need for passenger all together. Going to close this.

Also available in: Atom PDF